Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.ajp
Class Ajp13Connection

    java.lang.Object
      org.eclipse.jetty.server.HttpConnection
          org.eclipse.jetty.ajp.Ajp13Connection

All Implemented Interfaces:
  Connection

    public class Ajp13Connection

extends HttpConnection

Connection implementation of the Ajp13 protocol.

XXX Refactor to remove duplication of HttpConnection

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jetty.server.HttpConnection
`HttpConnection.Output, HttpConnection.OutputWriter`

Field Summary

Fields inherited from class org.eclipse.jetty.server.HttpConnection
`_connector, _endp, _generator, _in, _out, _parser, _printWriter, _request, _requestFields, _response, _responseFields, _server, _uri, _writer`

Constructor Summary
`Ajp13Connection(Connector connector, EndPoint endPoint, Server server)`

Method Summary
`ServletInputStream` | `getInputStream()` Get the inputStream from the connection.
`boolean` | `isConfidential(Request request)`
`boolean` | `isIntegral(Request request)` Find out if the request is INTEGRAL security.

Methods inherited from class org.eclipse.jetty.server.HttpConnection
`cancelTimeout, closed, commitResponse, completeResponse, flushResponse, getAssociatedObject, getConnector, getCurrentConnection, getEndPoint, getGenerator, getOutputStream, getParser, getPrintWriter, getRequest, getRequestFields, getRequests, getResolveNames, getResponse, getResponseFields, getServer, getTimeStamp, handle, handleRequest, include, included, isExpecting100Continues, isExpecting102Processing, isIdle, isIncluding, isResponseCommitted, isSuspended, reset, scheduleTimeout, setAssociatedObject, setCurrentConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ajp13Connection

    public Ajp13Connection(Connector connector,
                           EndPoint endPoint,
                           Server server)

Method Detail

### isConfidential

    public boolean isConfidential(Request request)

  Overrides:
    `isConfidential` in class `HttpConnection`
  Returns:
    The result of calling `HttpConnection.getConnector()`.`isCondidential`(request), or false if there is no connector.

### isIntegral

    public boolean isIntegral(Request request)

  Description copied from class: `HttpConnection`
  Find out if the request is INTEGRAL security.

  Overrides:
    `isIntegral` in class `HttpConnection`
  Returns:
    `true` if there is a `connector` and it considers `request` to be `integral`

### getInputStream

    public ServletInputStream getInputStream()

  Description copied from class: `HttpConnection`
  Get the inputStream from the connection.

  If the associated response has the Expect header set to 100 Continue, then accessing the input stream indicates that the handler/servlet is ready for the request body and thus a 100 Continue response is sent.

  Overrides:
    `getInputStream` in class `HttpConnection`
  Returns:
    The input stream for this connection. The stream will be created if it does not already exist.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.